ApiGeo
Find the nearest cities or carrier pickup points to a GPS point
H3-indexed proximity search. Items are ordered nearest-first with a geodesic `distanceKm`.
H3-indexed proximity search. Items are ordered nearest-first with a geodesic distanceKm.
AuthorizationBearer <token>
Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.
In: header
Query Parameters
lat*number
Range
-90 <= value <= 90lng*number
Range
-180 <= value <= 180type?string
Default
"cities"Value in
- "cities"
- "pickups"
courier?string
Filter to one courier id — only meaningful with type=pickups
carrier?string
Deprecated alias for courier
limit?integer
Range
1 <= value <= 50Default
5lang?string
Default
"fr"Value in
- "ar"
- "fr"
- "en"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/geo/nearby?lat=-90&lng=-180"{ "data": [ { "id": "string", "stateCode": "st", "country": "st", "name": "string", "displayName": "string", "locales": { "ar": "string", "fr": "string", "en": "string" }, "center": { "lat": 0, "lng": 0 }, "extentKm": { "width": 0, "height": 0 }, "bbox": [ 0, 0, 0, 0 ], "h3": "string", "postalCode": "string", "distanceKm": 0 } ], "meta": { "attribution": "© OpenStreetMap contributors (ODbL)" }}